stunt rally 64bit fixes thankt to itai. Closes #511

pull/516/head
Botspot 3 years ago
parent 5997a30119
commit 505cb19d8c

@ -8,9 +8,13 @@ function error {
}
#get dependencies
DEPENDS="cmake git build-essential libboost-wave-dev libboost-system-dev libboost-filesystem-dev libboost-thread-dev libogre-1.9-dev libmygui-dev libsdl2-dev libogg-dev libvorbis-dev libenet-dev libopenal-dev libopenal-dev libbullet-dev libbullet-extras-dev"
TOINSTALL="$(dpkg -l $DEPENDS 2>&1 | awk '{if (/^D|^\||^\+/) {next} else if(/^dpkg-query:/) { print $6} else if(!/^[hi]i/) {print $2}}' | tr '\n' ' ')"
sudo apt -f -y install "$TOINSTALL"
#DEPENDS="cmake git build-essential libboost-wave-dev libboost-system-dev libboost-filesystem-dev libboost-thread-dev libogre-1.9-dev libmygui-dev libsdl2-dev libogg-dev libvorbis-dev libenet-dev libopenal-dev libopenal-dev libbullet-dev libbullet-extras-dev"
#TOINSTALL="$(dpkg -l $DEPENDS 2>&1 | awk '{if (/^D|^\||^\+/) {next} else if(/^dpkg-query:/) { print $6} else if(!/^[hi]i/) {print $2}}' | tr '\n' ' ')"
#sudo apt -f -y install "$TOINSTALL"
echo "Installing dependencies..."
"${DIRECTORY}/pkg-install" "cmake git build-essential libboost-wave-dev libboost-system-dev libboost-filesystem-dev libboost-thread-dev libogre-1.9-dev libmygui-dev libsdl2-dev libogg-dev libvorbis-dev libenet-dev libopenal-dev libopenal-dev libbullet-dev libbullet-extras-dev" "$(dirname "$0")" || exit 1
if ! command -v checkinstall >/dev/null ; then
wget https://archive.org/download/macos_921_qemu_rpi/checkinstall_20210126-1_arm64.deb || error "Failed to download checkinstall!"
sudo apt install ./checkinstall_20210126-1_arm64.deb -y || error "Failed to install checkinstall!"
@ -412,5 +416,3 @@ if [[ "$CHECKINSTALL" == 1 ]]; then
sudo apt purge -y checkinstall
fi
sudo rm -rf ~/stuntrally
echo "Installing dependencies..."
"${DIRECTORY}/pkg-install" "libboost-wave-dev libboost-system-dev libboost-filesystem-dev libboost-thread-dev libogre-1.9-dev libmygui-dev libsdl2-dev libogg-dev libvorbis-dev libenet-dev libopenal-dev libopenal-dev libbullet-dev libbullet-extras-dev" "$(dirname "$0")" || exit 1

@ -11,5 +11,6 @@ sudo rm -f /usr/share/applications/stuntrally.desktop
sudo rm -f /usr/share/applications/sr-editor.desktop
sudo apt purge stunt-rally -y || error "Failed to uninstall stunt rally!"
"${DIRECTORY}/purge-installed" "$(dirname "$0")" || exit 1
rm -r $HOME/.config/stuntrally/
Loading…
Cancel
Save